<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Aprobar Estudio de Costos::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{estudioDeCostosAct.actualizacion}"/>

        <p:messages id="msgsAprobarEstudioDeCostos" showDetail="false"
                    globalOnly="false" />

        <h:form id="aprobarEstudioDeCostos">
            <p:spacer height="30" width="0" />
            <h:outputLabel value="Egresos por concepto del gasto para convenios"
                           styleClass="outputLabelStyle" />

            <p:dataTable var="egreso" value="#{estudioDeCostosAct.egresos}">
                <p:column>
                    <f:facet name="header">  
                        Código
                    </f:facet>
                    <h:outputText value="#{egreso.codigo}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Ítem
                    </f:facet>
                    <h:outputText value="#{egreso.item}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Total
                    </f:facet>
                    <h:outputText value="#{egreso.total}" />
                </p:column>

            </p:dataTable>

            <p:panel id="botonesPnl" header="Consultar">
                <ui:include src="botonesFormatosYEstudioCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                    <ui:param name="isRegistrarParam" value="false" />
                    <ui:param name="updateBtnParam" value="aprobarEstudioDeCostos" />
                </ui:include>
            </p:panel>


            <p:panel id="panelFormatos"
                     rendered="#{estudioDeCostosAct.formatosFlag}">
                <ui:include src="formatosEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel id="panelEstudioDeCostos"
                     rendered="#{estudioDeCostosAct.estudioCostosFlag}">
                <ui:include src="hojaEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <h:panelGrid id="panelGridBtnsAprobarRevisar" columns="2">

                <p:commandButton id="btnAprobarMontosYCuposPresupuestales"
                                 widgetVar="btnAprobarMontosYCuposPresupuestalesWV"
                                 onstart="statusDialog2.show()" ajax="false"
                                 action="#{estudioDeCostosAct.aprobarMontosYCupos}"					
                                 value="Aprobar montos y cupos presupuestales" process="@this">
                </p:commandButton>

                <p:commandButton value="Cerrar" 
                                 icon="ui-icon-circle-close" process="@this"
                                 action="#{estudioDeCostosAct.cerrar}" ajax="false" />
            </h:panelGrid>
        </h:form>
    </ui:define>
</ui:composition>